<%@ LANGUAGE=vbscript  %>
<%
' ----- Copyright --------------------------------------------------------
' (c)2000 Copyright QSI Payments, Inc. - All Rights Reserved
' Copyright Statement: http://www.qsipayments.com/copyright/Payment_Client
' ------------------------------------------------------------------------
'
' NAME
' ====
' SSL_Receipt.asp
'
' PURPOSE
' =======
' Displays the Digital Receipt details.
' These details would ordinarily be used to update the original order.
' The merchant application would then present an appropriate receipt.
'
' PAYMENT CLIENT VERSION
' ======================
' This module is not payment client specific.
'
' REVISION HISTORY
' ================
' v1.0				10 March 2000		Initial version
'
' INPUTS
' ======
'	SessionID			Your (unique) identifier for the transaction
'	MerchantID			Your Merchant ID - issued to you by the payment service or bank
'	PurchaseAmount		Purchase Amount (Cents)
'	Locale			Defines the langauge to use when presenting payment pages
'
'	ReceiptNo			Receipt number - issued by Acquiring bank
'	TransactionNo
'	AcqResponseCode		Acquirer Response Code
'	QSIResponseCode		Summary of Acquirer Response Code
'
' OUTPUTS
' =======
'	None
'
' SUB ROUTINES
' ============
' 	DisplayResponse		Determine corresponding text for QSIResponseCode
'
' ==========================================================================
'
' Initialisation
' ==============
'	Stop the page being cached on the web server
	Response.Expires = 0

'	Retrieve input variables
	sSessionID		= Request("SessionID")
	sMerchantID		= Request("MerchantID")
	sPurchaseAmount	= Request("PurchaseAmount")
	sLocale		= Request("Locale")
	sReceiptNo		= Request("ReceiptNo")
	sTransactionNo	= Request("TransactionNo")
	sQSIResponseCode	= Request("QSIResponseCode")
	sAcqResponseCode	= Request("AcqResponseCode")

' Display Receipt
' ===============
%>
	<H1><CENTER>Digital Receipt Details</CENTER></H1>

	<CENTER><TABLE>

	<TR>	<TD>Merchant ID</TD>
		<TD><%=sMerchantID%></TD></TR>

	<TR>	<TD>Session ID</TD>
		<TD><%=sSessionID%></TD></TR>

	<TR>	<TD>Purchase Amount</TD>
		<TD><%=sPurchaseAmount%></TD></TR>

	<TR>	<TD>Locale</TD>
		<TD><%=sLocale%></TD></TR>

	<TR>	<! blank line; results follow ->
		<TD colspan=2><hr></TD></TR>

	<TR>	<TD>Receipt Number</TD>
		<TD><%=sReceiptNo%></TD></TR>

	<TR>	<TD>Transaction Number</TD>
		<TD><%=sTransactionNo%></TD></TR>

	<TR>	<TD>Acquirer Response Code</TD>
		<TD><%=sAcqResponseCode%></TD></TR>

	<TR>	<TD>QSI Response Code</TD>
		<TD><%=sQSIResponseCode%></TD></TR>

	<TR>	<TD> &nbsp;</TD> <! blank cell ->
		<TD><%DisplayResponse()%></TD></TR>

	<TR><TD></TD>
		<TD><BR><BR><BR><A HREF="./SSL_Order.asp">New Payment</A></TD></TR>

	</TABLE></CENTER>
<%
Sub DisplayResponse()
	Select Case sQSIResponseCode
	     Case "0"	response.write "Transaction Successful"
           Case "1"	response.write "Unknown Error"
           Case "2"	response.write "Bank Declined Transaction"
           Case "3"	response.write "No Reply from Bank"
           Case "4"	response.write "Expired Card"
           Case "5"	response.write "Insufficient funds"
           Case "6"	response.write "Error Communicating with Bank"
           Case "7"	response.write "Payment Server System Error"
           Case "8"	response.write "Transaction Type Not Supported"
           Case Else	response.write "Unable to be determined"
      End Select
End Sub
%>